BatchGetTargetDomains - AWS Security Agent

BatchGetTargetDomains

Retrieves information about one or more target domains.

Request Syntax

POST /BatchGetTargetDomains HTTP/1.1 Content-type: application/json { "targetDomainIds": [ "string" ] }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

targetDomainIds

The list of target domain identifiers to retrieve.

Type: Array of strings

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "notFound": [ "string" ], "targetDomains": [ { "createdAt": "string", "domainName": "string", "targetDomainId": "string", "verificationDetails": { "dnsTxt": { "dnsRecordName": "string", "dnsRecordType": "string", "token": "string" }, "httpRoute": { "routePath": "string", "token": "string" }, "method": "string" }, "verificationStatus": "string", "verifiedAt": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

notFound

The list of target domain identifiers that were not found.

Type: Array of strings

targetDomains

The list of target domains that were found.

Type: Array of TargetDomain objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: